Bug 510771 - java-1.6.0-openjdk has unresolved dependencies
java-1.6.0-openjdk has unresolved dependencies
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: distribution (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Dennis Gregorovic
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 13:32 EDT by Mike McCune
Modified: 2009-10-26 04:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-26 04:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2009-07-10 13:32:19 EDT
I've tried in RHN Satellite and RHN Hosted and the results are the same missing deps.  Looks like java-1.6.0-openjdk-1.6.0.0-0.30.b09.el5.i386 has a requires libjpeg = 6b-0  but we have 6b-37 in the channel.

#  yum install java-1.6.0-openjdk
Loaded plugins: rhnplugin, security
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package java-1.6.0-openjdk.i386 1:1.6.0.0-0.30.b09.el5 set to be updated
--> Processing Dependency: libjpeg = 6b-0 for package: java-1.6.0-openjdk
--> Processing Dependency: jpackage-utils >= 1.7.3-1jpp.2 for package: java-1.6.0-openjdk
--> Processing Dependency: libgif.so.4 for package: java-1.6.0-openjdk
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: java-1.6.0-openjdk
--> Processing Dependency: libasound.so.2 for package: java-1.6.0-openjdk
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: java-1.6.0-openjdk
--> Processing Dependency: libjpeg.so.62 for package: java-1.6.0-openjdk
--> Processing Dependency: libXtst.so.6 for package: java-1.6.0-openjdk
--> Running transaction check
---> Package libjpeg.i386 0:6b-37 set to be updated
---> Package alsa-lib.i386 0:1.0.17-1.el5 set to be updated
---> Package giflib.i386 0:4.1.3-7.1.el5_3.1 set to be updated
---> Package jpackage-utils.noarch 0:1.7.3-1jpp.2.el5 set to be updated
---> Package java-1.6.0-openjdk.i386 1:1.6.0.0-0.30.b09.el5 set to be updated
--> Processing Dependency: libjpeg = 6b-0 for package: java-1.6.0-openjdk
---> Package libXtst.i386 0:1.0.1-3.1 set to be updated
--> Finished Dependency Resolution
1:java-1.6.0-openjdk-1.6.0.0-0.30.b09.el5.i386 from rhel-i386-server-5 has depsolving problems
  --> Missing Dependency: libjpeg = 6b-0 is needed by package 1:java-1.6.0-openjdk-1.6.0.0-0.30.b09.el5.i386 (rhel-i386-server-5)
Error: Missing Dependency: libjpeg = 6b-0 is needed by package 1:java-1.6.0-openjdk-1.6.0.0-0.30.b09.el5.i386 (rhel-i386-server-5)
Comment 1 Dennis Gregorovic 2009-07-10 14:43:17 EDT
I'm not able to reproduce this.  What do you get from "yum list | grep libjpeg"?
Comment 2 Daniel Mach 2009-10-26 04:53:49 EDT
I'm not able to reproduce this issue on rhel-5.4 either.
java-1.6.0-openjdk-1.6.0.0-1.2.b09.el5 is installable.

Closing.

Note You need to log in before you can comment on or make changes to this bug.